Xerces-C++ 3.2.4

Public Member Functions | List of all members
TranscodeFromStr Class Reference

`#include <xercesc/util/TransService.hpp>`

## Public Member Functions
| TranscodeFromStr (const XMLByte *data, XMLSize_t length, const char *encoding, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the specified encoding to the internal XMLCh* encoding. More...
| TranscodeFromStr (const XMLByte *data, XMLSize_t length, XMLTranscoder *trans, MemoryManager *manager=XMLPlatformUtils::fgMemoryManager)
| Converts from the specified encoding to the internal XMLCh* encoding. More...
| ~TranscodeFromStr ()

## Getter methods
const XMLCh * | str () const
| Returns the transcoded, null terminated string. More...
XMLCh * | adopt ()
| Returns the transcoded, null terminated string - adopting the memory allocated to it from the TranscodeFromStr object. More...
XMLSize_t | length () const
| Returns the length of the transcoded string in characters. More...

## Constructor & Destructor Documentation

## ◆ TranscodeFromStr() [1/2]

TranscodeFromStr::TranscodeFromStr | ( | const XMLByte * | data,
|  | XMLSize_t | length,
|  | const char * | encoding,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Converts from the specified encoding to the internal XMLCh* encoding.

Parameters

  data | the source buffer to be transcoded
  length | the length of the source buffer
  encoding | the name of the encoding to transcode to
  manager | the memory manager to use

## ◆ TranscodeFromStr() [2/2]

TranscodeFromStr::TranscodeFromStr | ( | const XMLByte * | data,
|  | XMLSize_t | length,
|  | XMLTranscoder * | trans,
|  | MemoryManager * | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Converts from the specified encoding to the internal XMLCh* encoding.

Parameters

  data | the source buffer to be transcoded
  length | the length of the source buffer
  trans | the transcoder to use
  manager | the memory manager to use

## ◆ ~TranscodeFromStr()

TranscodeFromStr::~TranscodeFromStr | ( |  | ) |

## Member Function Documentation

## ◆ adopt()

XMLCh * TranscodeFromStr::adopt | ( |  | ) |

Returns the transcoded, null terminated string - adopting the memory allocated to it from the TranscodeFromStr object.

Returns
  the transcoded string

## ◆ length()

XMLSize_t TranscodeFromStr::length | ( |  | ) | const

Returns the length of the transcoded string in characters.

The length does not include the null terminator.

Returns
  the length of the transcoded string in characters

## ◆ str()

const XMLCh * TranscodeFromStr::str | ( |  | ) | const

Returns the transcoded, null terminated string.

Returns
  the transcoded string

The documentation for this class was generated from the following file:

- TransService.hpp